delete from report_sql where computer = {?computer};

-- num1 = nnlocation_id
-- num2,num4,num6,...,num12 = vsote prihodkov po dolzinskih kategorijah
-- num3,num5,num7,...,num13 = count storitev po dolzinskih kategorijah


insert into report_sql (computer,num1,num2,num3,num4,num5,num6,num7,num8,num9,num10,num11,num12,num13)
select {?computer}, nnlocation_id,sum(case when dolzina = '0-15' then znesek else 0 end) as sum_0_15,count(distinct(case when dolzina = '0-15' then id_storitve else null end)) as count_0_15,
sum(case when dolzina = '16-30' then znesek else 0 end) as sum_16_30,count(distinct(case when dolzina = '16-30' then id_storitve else null end)) as count_16_30,
sum(case when dolzina = '31-40' then znesek else 0 end) as sum_31_40,count(distinct(case when dolzina = '31-40' then id_storitve else null end)) as count_31_40,
sum(case when dolzina = '41-50' then znesek else 0 end) as sum_41_50,count(distinct(case when dolzina = '41-50' then id_storitve else null end)) as count_41_50,
sum(case when dolzina = '51-60' then znesek else 0 end) as sum_51_60,count(distinct(case when dolzina = '51-60' then id_storitve else null end)) as count_51_60,
sum(case when dolzina = '60+' then znesek else 0 end) as sum_60,count(distinct(case when dolzina = '60+' then id_storitve else null end)) as count_60
from
(select v.id_storitve, v.id_privez, v.znesek,
case 
when (v.nnprivez_dolzina <= 10 or v.nnprivez_dolzina is null) then '0-15'
when v.nnprivez_dolzina > 10 and v.nnprivez_dolzina <= 12 then '16-30'
when v.nnprivez_dolzina > 12 and v.nnprivez_dolzina <= 15 then '31-40'
when v.nnprivez_dolzina > 15 and v.nnprivez_dolzina <= 18 then '41-50'
when v.nnprivez_dolzina > 18 and v.nnprivez_dolzina <= 23 then '51-60'
when v.nnprivez_dolzina > 23 then '60+' else '' end as dolzina, v.id_lastnik,
po.nnlocation_id
from v_storitve_income v left join m_storitve s on v.id_storitve = s.id_storitve 
left join racun_data rd on v.id_racun_data = rd.id_racun_data
left join nnprivez p on v.id_privez = p.id_privez
left join nnpomol po on p.kategorija = po.sifra 
where v.datum >= {?from} and v.datum <= {?to}
and s.storitev in (select sifra from m_nnstomar where filter=22 AND akt='Y' AND kat IS NOT NULL and (opis like '%Annual%' or opis like '%Month%'))
and v.id_racun_data is not null and rd.tip = 'I')
group by nnlocation_id
having nnlocation_id is not null;
