delete from report_sql where computer = {?computer};

-- str1 = ime_kupca
-- str2 = priimek_kupca
-- str3 = email
-- str4 = mobile
-- str5 = plovila
-- num1 = id_plovila

-- na reportu kazemo vse stranke, ki so bili v marini,
-- so sedaj ali pa so poizvedovali

insert into report_sql (num1,computer)

-- vsi, ki so trenutno v marini

select distinct pr.id_plovila,{?computer} from privezi pr 
left join nnprivez p on pr.id_privez = pr.id_privez
left join nnpomol po on p.kategorija = po.sifra
where po.nnlocation_id = {?location_id}

union

-- vsi, ki so poizvedovali

select distinct p.id,{?computer} from enquiry e 
left join kupci k on e.id_kupca = k.id
left join plovila p on p.id_lastnika = k.id
where e.boat_location_id = {?location_id}

union

-- vsi, ki so bili v marini

select distinct pl.id, {?computer} from rezervac_detail rd 
left join rezervac r on rd.id_rezervac = r.id
left join nnprivez p on rd.id_privez = p.id_privez
left join nnpomol po on p.kategorija = po.sifra
left join plovila pl on r.id_plovila = pl.id
where po.nnlocation_id = {?location_id}
and rd.status_rezervac > 0 and r.status_rezervac > 0;


-- ime, priimek, email, mobilna kupce in ime plovila
update report_sql set
str1 = (select ime from kupci where id = (select id_lastnika from plovila where id = num1)),
str2 = (select priimek from kupci where id = (select id_lastnika from plovila where id = num1)),
str3 = (select email from kupci where id = (select id_lastnika from plovila where id = num1)),
str4 = (select telex from kupci where id = (select id_lastnika from plovila where id = num1)),
str5 = (select ime from plovila where id = num1)
where computer = {?computer};