delete from report_sql WHERE COMPUTER={?Computer};
-- str1  = n_priveza
-- str2  = ime plovila
-- str3  = pogodbena n_priveza
-- str4  = tip plovila
-- str5  = oznaka drave
-- str6  = reg. t.
-- num1  = sort
-- str7  = pomol (kategorija)
-- str8  = trenutna n_priveza
-- date1 = trenutno_do
-- num2  = limit priveza
-- num3  = id_privez
-- str9  = objekt
-- num4  = id_plovila
-- num10 = id_lastnika
-- str10 = ime lastnika
-- str11 = priimek lastnika
-- num15 = nnlocation_id

insert into report_sql(computer,str1,str2,str3,str4,str5,str6,num1,str7,str8,date1,num2,num3,str9,num4,num10)
select {?Computer}, NNPRIVEZ.N_PRIVEZA, PLOVILA.IME, PLOVILA.POGODBENA_N_PRIVEZA, PLOVILA.NTIP, 
       NNDRZAVE.OZNAKA, PLOVILA.REGISTRSKA_N, NNPRIVEZ.SORT, NNPRIVEZ.KATEGORIJA,
       PLOVILA.TRENUTNA_N_PRIVEZA, PLOVILA.TRENUTNO_DO, NNPRIVEZ.LIMIT, NNPRIVEZ.ID_PRIVEZ, 
       NNPRIVEZ.OBJEKT, PLOVILA.ID, PLOVILA.ID_LASTNIKA
from privezi
left outer join nnprivez on (privezi.id_privez=nnprivez.id_privez)
left outer join plovila on privezi.id_plovila=plovila.id
left outer join nndrzave on plovila.nzastava=nndrzave.sifra
where privezi.id_pogodbe is null
union all
select {?Computer},nnprivez.n_priveza,null as ime,null as pogodbena_n_priveza,null as ntip,null as oznaka,
       null as registrska_n,nnprivez.sort,nnprivez.kategorija,null as trenutna_n_priveza,
       null as trenutno_do, nnprivez.limit, nnprivez.id_privez, nnprivez.objekt, null, null
from nnprivez
where nnprivez.id_privez not in (select id_privez from privezi where id_pogodbe is null)
;

update report_sql
set (str10, str11)=(select ime, priimek from kupci where id=num10)
where computer={?Computer};

update report_sql
set (num11)=(select max(nvl(id_plovila, 0)) from liveaboard where id_plovila=num4 and date_from <= sysdate and  date_to>=sysdate)
where computer={?Computer};

update report_sql
set (num12)=(select max(nvl(id_privez,0)) from berth_owner where id_privez=num3 and date_from <= sysdate and  date_to>=sysdate and type = '1')
where computer={?Computer};

update report_sql
set (num13)=(select max(nvl(id_privez,0)) from berth_owner where id_privez=num3 and date_from <= sysdate and  date_to>=sysdate and type = '2')
where computer={?Computer};

update report_sql
set (num14)=(select max(nvl(id_privez,0)) from berth_sublease where id_privez=num3 and date_from <= sysdate and  date_to>=sysdate)
where computer={?Computer};


update report_sql
set (num15) = (SELECT NNLOCATION_ID FROM NNPOMOL WHERE SIFRA = (SELECT KATEGORIJA FROM NNPRIVEZ WHERE N_PRIVEZA = STR1))
where computer={?computer};


update report_sql
set (str12) = (SELECT TELEX FROM KUPCI WHERE ID = NUM10)
where computer={?computer};


update report_sql
set (str13) = (SELECT MAX(DATUM_REZERVACIJE) FROM REZERVAC WHERE ID_PLOVILA = NUM4 GROUP BY ID_PLOVILA)
where computer={?computer};


update report_sql
set (str14) = (SELECT MAX(DATUM_DO) FROM REZERVAC WHERE ID_PLOVILA = NUM4 GROUP BY ID_PLOVILA)
where computer={?computer}; 
