delete from report_sql where computer = {?computer};

-- num1 - num6,num10 = stanje na dan 
-- num7 = id_plovila
-- num8 = id_kupca
-- num9 = tip (1 za stanje na dan date1-1, 2 na dan date2)
-- num1 = konto kupca v periodi
-- str1 = lastnik
-- str2 = plovilo




-- 2x izvedemo poizvedbo za stanje na dan

insert into report_sql (computer, num1, num2, num3, num4, date1, num10, num9, num8, num7,date2,date3)
select {?Computer}, a.id_saldkont, abs(Nvl(a.za_placilo,0)), abs(Nvl(a.porabljeno,0)), 0,  
{?date1} -1,  a.za_placilo,  1, a.id_kupca, a.id_plovila,{?date1}-1,{?date2}
from saldkont a, nknjizba b where a.datum<={?date1} -1 
and a.vrsta_racuna=b.saldkont and 
(b.deposit is null or (b.deposit is not null and b.deposit<>'Y')) and a.vrsta_racuna not in ('RAC','DDE','PAA')
?and a.nnlocation_id = {?location_id}
;

insert into report_sql (computer, num1, num2, num3, num4, date1, num10, num9, num8, num7,date2,date3)
select {?Computer}, a.id_saldkont, abs(Nvl(a.za_placilo,0)), abs(Nvl(a.porabljeno,0)), 0, 
{?date2}, a.za_placilo, 2, a.id_kupca, a.id_plovila,{?date1}-1,{?date2}
from saldkont a, nknjizba b where a.datum<={?date2} 
and a.vrsta_racuna=b.saldkont and 
(b.deposit is null or (b.deposit is not null and b.deposit<>'Y')) and a.vrsta_racuna not in ('RAC','DDE','PAA')
?and a.nnlocation_id = {?location_id}
;

update report_sql
set num4=(select abs(Nvl(Sum(abs(a.znesek)),0)) from saldkont_zap a, saldkont b where a.id_pl_saldkont=b.id_saldkont 
and b.datum>{?date1}-1 and a.id_saldkont=num1)
where computer={?Computer} and num9 = 1
;

update report_sql
set num4=(select abs(Nvl(Sum(abs(a.znesek)),0)) from saldkont_zap a, saldkont b where a.id_pl_saldkont=b.id_saldkont 
and b.datum>{?date2} and a.id_saldkont=num1)
where computer={?Computer} and num9 = 2
;

update report_sql
set num5=(select abs(Nvl(Sum(abs(a.znesek)),0)) from saldkont_zap a, saldkont b where a.id_saldkont=b.id_saldkont 
and b.datum>{?date1}-1 and a.id_pl_saldkont=num1)
where computer={?Computer} and num9 = 1
;

update report_sql
set num5=(select abs(Nvl(Sum(abs(a.znesek)),0)) from saldkont_zap a, saldkont b where a.id_saldkont=b.id_saldkont 
and b.datum>{?date2} and a.id_pl_saldkont=num1)
where computer={?Computer} and num9 = 2
;

update report_sql
set num6=num3-(num4+num5)
where computer={?Computer}
;

-- odstejemo zapiranja z DDE transakcijami
update report_sql set num12 = (select coalesce(sum(z.znesek),0) from saldkont_zap z left join saldkont p on z.id_pl_saldkont = p.id_saldkont 
where z.id_saldkont = num1 and p.vrsta_racuna = 'DDE')
where computer = {?computer};

update report_sql set num6 = num6 - num12
where computer = {?computer}
;

update report_sql
set num6=num6*(-1) where num10<0 and computer={?Computer}
;

delete from report_sql where computer={?Computer} and Round(num10,2)=Round(num6,2)
;


update report_sql set str1 =
(select case when ime is null then priimek else priimek ||' ' ||ime end from kupci where id = num8)
where computer = {?computer};

update report_sql set str2 =
(select ime from plovila where id = num7)
where computer = {?computer};


-- gibanje na kontu kupca v periodi
update report_sql set num11 = 
(select sum(k.bzneseksit-k.dzneseksit) from knjizbe k left join sifkont s on k.konto = s.ctrl 
left join saldkont s1 on k.id_saldkont = s1.id_saldkont
where s1.id_kupca = num8 and k.datumv between {?date1} and {?date2} and 
s.oznaka in (select distinct konto from pravila_knjizenja where pogoj = 'KUPCI' and pogoj1 = 'DOMACI')
?and s1.nnlocation_id = {?location_id}
)
where computer = {?computer};

