select k.act "OWNER ACTIVE",k.id "OWNER ID",k.ime "FIRST NAME",k.priimek "LAST NAME",p.act "VESSEL ACTIVE",p.id " VESSEL ID",p.ime "NAME",t.opis "TYPE",m.opis "MANUFACTURER",
p.registrska_n "REGISTRATION NUMBER",to_char(p.reg_expire_date,'dd.MM.yyyy') "REGISTRATION EXPIRY",p.insurance_policy_name "INSURANCE POLICY NAME",
p.n_zavarovalne_police "INSURANCE POLICY NUMBER",to_char(p.datum_zavarovanje,'dd.MM.yyyy') "INSURANCE EXPIRY",to_char(p.measure_date,'dd.MM.yyyy') "CHECK MEASURE DATE",p.dolzina "LENGTH",p.sirina "WIDTH",
p.teza "NET TONNAGE",p.gas_bottle "GAS BOTTLE",to_char(p.gas_bottle_expiry,'dd.MM.yyyy') "GAS BOTTLE EXPIRY",f.opis "FUEL",p.fuel_tank_capacity "FUEL TANK CAPACITY",p.trailer_registration_num "TRAILER REGISTRATION NUMBER"
from kupci k left join plovila p on k.id = p.id_lastnika
left join nntip t on p.ntip = t.sifra
left join nnproizvajalec m on p.id_proizvajalca = m.sifra
left join nnfuel_type f on p.fuel_type = f.sifra
left join nnprivez pr on p.trenutna_n_priveza = pr.n_priveza
left join nnpomol po on pr.kategorija = po.sifra
left join nnlocation l on po.nnlocation_id = l.id
left join enquiry e on k.id = e.id_kupca
left join nnlocation l2 on e.boat_location_id = l2.id
?where l.sifra = {?TEMP. LOCATION|string} 
?and l2.sifra = {?ENQUIRY LOCATION}
;