select HID_OWNER,max("First Name") "First Name" ,max("Last Name") "Last Name",max("Mobile Number") "Mobile Number",max("Marina") "Marina",
max("Boat Name") "Boat Name",max("Type") "Type" from (

select distinct k.id "HID_OWNER",k.ime "First Name", k.priimek "Last Name",k.telex "Mobile Number",l.opis "Marina",p.ime "Boat Name",t.opis "Type"
from privezi pr 
left join nnprivez pri on pr.id_privez = pri.id_privez
left join plovila p on pr.id_plovila = p.id
left join kupci k on p.id_lastnika = k.id
left join nnpomol po on pri.kategorija = po.sifra
left join nnlocation l on po.nnlocation_id = l.id
left join nnvrskup t on k.vrsta = t.sifra
where k.act = 'Y'
and l.opis is not null

union

select distinct k.id "HID_OWNER",k.ime "First Name", k.priimek "Last Name",k.telex "Mobile Number",coalesce(l.opis,e.boat_location) "Marina",p.ime "Boat Name",t.opis "Type" from enquiry e
left join kupci k on e.id_kupca = k.id
left join nnlocation l on e.boat_location_id = l.id
left join plovila p on k.id = p.id_lastnika
left join nnvrskup t on k.vrsta = t.sifra
where k.act = 'Y'
and coalesce(l.opis,e.boat_location) in (select opis from nnlocation)
and trunc(e.initial_contact_date) >= to_date('01/JAN/2020')

union

select distinct k.id "HID_OWNER",k.ime "First Name", k.priimek "Last Name",k.telex "Mobile Number",l.opis "Marina",p.ime "Boat Name",t.opis "Type" from dogodki d
left join plovila p on d.id_plovila = p.id
left join kupci k on p.id_lastnika = k.id
left join nnprivez pri on d.id_privez = pri.id_privez
left join nnvrskup t on k.vrsta = t.sifra
left join nnpomol po on pri.kategorija = po.sifra
left join nnlocation l on po.nnlocation_id = l.id
where d.kategorija_dogodka = 'OD'
and k.act = 'Y'
and l.opis is not null

union 

select k.id "HID_OWNER", k.ime "First Name", k.priimek "Last Name", k.telex "Mobile Number",'' "Marina", p.ime "Boat Name",t.opis "Type"
from kupci k 
left join plovila p on k.id = p.id_lastnika
left join nnvrskup t on k.vrsta = t.sifra


) 

group by "HID_OWNER";