delete from report_sql
where computer={?COMPUTER};

-- CURRENT MONTH
INSERT INTO REPORT_SQL (COMPUTER, NUM1, NUM2, NUM3, STR1, NUM4, STR2, STR3, DATE1)
SELECT
  {?COMPUTER},
  M_POGODBE.ID_LASTNIKA,
  M_POGODBE.ID_POGODBE,
  M_VZORCI_PS.ID_VPS,
  NNOBJEKT.SIFRA,
  RACUN_DATA.ZNESEK,
  NNOBJEKT.INTERNI_OPIS,
  M_POGODBE.N_PRIVEZA,
  SALDKONT_IZPISEK.DATE_TO
FROM M_POGODBE 
INNER JOIN M_VZORCI_PS ON  M_POGODBE.ID_POGODBE=M_VZORCI_PS.ID_POGODBE
INNER JOIN NNOBJEKT ON  M_POGODBE.OBJEKT=NNOBJEKT.SIFRA
INNER JOIN M_STORITVE ON  M_VZORCI_PS.ID_VPS=M_STORITVE.ID_VPS
INNER JOIN RACUN_DATA ON  M_STORITVE.ID_STORITVE=RACUN_DATA.ID_STORITVE
INNER JOIN SALDKONT ON  RACUN_DATA.ID_SALDKONT=SALDKONT.ID_SALDKONT
INNER JOIN SALDKONT_IZPISEK_DETAIL ON SALDKONT.ID_SALDKONT=SALDKONT_IZPISEK_DETAIL.ID_SALDKONT
INNER JOIN SALDKONT_IZPISEK ON SALDKONT_IZPISEK_DETAIL.ID_SALDKONT_IZPISEK=SALDKONT_IZPISEK.ID_SALDKONT_IZPISEK
WHERE SALDKONT_IZPISEK.DATE_TO={?Date}
AND SALDKONT.STORNO IS NULL
;

-- PREVIOUS MONTH
UPDATE REPORT_SQL SET
(STR11, NUM14, STR12, STR13, DATE2)=(
SELECT
  NNOBJEKT.SIFRA,
  RACUN_DATA.ZNESEK,
  NNOBJEKT.INTERNI_OPIS,
  M_POGODBE.N_PRIVEZA,
  SALDKONT_IZPISEK.DATE_TO
FROM M_POGODBE 
INNER JOIN M_VZORCI_PS ON  M_POGODBE.ID_POGODBE=M_VZORCI_PS.ID_POGODBE
INNER JOIN NNOBJEKT ON  M_POGODBE.OBJEKT=NNOBJEKT.SIFRA
INNER JOIN M_STORITVE ON  M_VZORCI_PS.ID_VPS=M_STORITVE.ID_VPS
INNER JOIN RACUN_DATA ON  M_STORITVE.ID_STORITVE=RACUN_DATA.ID_STORITVE
INNER JOIN SALDKONT ON  RACUN_DATA.ID_SALDKONT=SALDKONT.ID_SALDKONT
INNER JOIN SALDKONT_IZPISEK_DETAIL ON SALDKONT.ID_SALDKONT=SALDKONT_IZPISEK_DETAIL.ID_SALDKONT
INNER JOIN SALDKONT_IZPISEK ON SALDKONT_IZPISEK_DETAIL.ID_SALDKONT_IZPISEK=SALDKONT_IZPISEK.ID_SALDKONT_IZPISEK
WHERE SALDKONT_IZPISEK.DATE_TO=ADD_MONTHS({?Date},-1)
AND SALDKONT.STORNO IS NULL
AND M_POGODBE.ID_LASTNIKA=REPORT_SQL.NUM1 
AND M_POGODBE.ID_POGODBE=REPORT_SQL.NUM2
AND M_VZORCI_PS.ID_VPS=REPORT_SQL.NUM3
AND REPORT_SQL.COMPUTER={?COMPUTER})
WHERE COMPUTER={?COMPUTER}


;