delete from report_sql WHERE COMPUTER={?Computer};
-- date1 = day
-- str1  = A/B (samo B so za report)
-- num1  = Spaces Available
-- num2  = Spaces Paid For
-- num3  = Spaces Used

-- generiranje vrstic za vsak dan v periodi
INSERT INTO report_sql (computer, date1, str1)
SELECT {?Computer}, {?Datum_od} + rownum -1, 'A'
FROM   all_objects
WHERE  rownum <= {?Datum_do} - {?Datum_od}+1
;

INSERT INTO report_sql (computer, date1, str1, num1, num2, num3)
select {?Computer}, datum, 'B', count(*), max(placano), max(nvl(stevilo,0)) from (
select report_sql.date1 as datum, nvl(people_counter.car_counter,0) as stevilo, privezi_zasedenost.id_privez,
(select count(*) from m_storitve_income a join m_storitve b on a.id_storitve=b.id_storitve 
where a.datum=report_sql.date1 and  b.storitev='PARK') as placano
from report_sql
left outer join people_counter on (report_sql.date1=people_counter.on_date)
left outer join privezi_zasedenost on (report_sql.date1=privezi_zasedenost.datum)
left outer join nnprivez on (privezi_zasedenost.id_privez=nnprivez.id_privez)
where report_sql.computer={?Computer}
and nnprivez.objekt='CP'
)
group by datum
;