select kupci.id HID_OWNER, kupci.ime as "Name", kupci.priimek as "Surname",kupci.email,
CASE RACUNI_KUPCEV.NNLOCATION_ID 
WHEN 1 THEN 'Ruschcutters Bay'
WHEN 2 THEN 'Akuna Bay'
WHEN 3 THEN 'Cabarita Point'
WHEN 4 THEN 'Nelson Bay'
WHEN 5 THEN 'Pier 35'
WHEN 6 THEN 'The Spit'
WHEN 7 THEN 'Victoria Harbour'
WHEN 8 THEN 'Martha Cove'
WHEN 9 THEN 'Port of Airlie'
WHEN 10 THEN 'Horizon Shores'
ELSE 'N/A' END
as "Marina Location", 
case when racuni_kupcev.preferred = 'Y' then 'Yes' else 'No' end as "Preferred bank account",
case when racuni_kupcev.direct_debit = 'Y' then 'Yes' else 'No' end as "DD checked",
case when racuni_kupcev.direct_debit_auth = 'Y' then 'Yes' else 'No' end as "Authorised",
SUM(V_KUPCI_BALANCE.SALDAKONTI_SIT) "Group balance"
from racuni_kupcev join kupci on racuni_kupcev.id_lastnika = KUPCI.ID
left outer JOIN V_KUPCI_BALANCE ON V_KUPCI_BALANCE.KUPCI_ID = KUPCI.ID
group by kupci.id, kupci.ime, kupci.priimek, kupci.email, RACUNI_KUPCEV.NNLOCATION_ID, racuni_kupcev.preferred,
racuni_kupcev.direct_debit, racuni_kupcev.direct_debit_auth;