delete from report_sql
where computer = {?COMPUTER};

-- num1 id act
-- num2 id kupca
-- str1 ime kupca
-- str2 priimek kupca
-- str3 stevilka dokumenta

insert into report_sql (computer,num1,str1,str2) 
select {?COMPUTER},idact,case 
when tbl = 'KUPCI' then (select ime from kupci where id = act.id)
when tbl = 'PLOVILA' then (select ime  from kupci where id = (select id_lastnika from plovila where id = to_number(act.id)))
when tbl = 'M_VZORCI_PS' then (select ime from kupci where id = (select id_lastnika from m_pogodbe where id_pogodbe = (select id_pogodbe from m_vzorci_ps where id_vps = act.id)))
when tbl = 'M_DE_NA' then (select ime  from kupci where id = (select id_lastnika from m_de_na where id_dn = act.id))
when tbl = 'M_POGODBE' then (select ime  from kupci where id = (select id_lastnika from m_pogodbe where id_pogodbe = act.id))
when tbl = 'REZERVAC_DETAIL' then (select ime  from kupci where id = (select id_lastnika from rezervac where id = (select id_rezervac from rezervac_detail where id_rezervac_detail = act.id)))
when tbl = 'DOGODKI' then (select ime  from kupci where id = (select id_lastnika from dogodki where id = act.id))
when tbl = 'SALDKONT' then (select ime  from kupci where id = (select id_kupca from saldkont where id_saldkont = act.id))
when tbl = 'M_STORITVE' then (select ime  from kupci where id = (select id_lastnika from m_storitve where id_storitve = act.id))
when tbl = 'S_NASTAVITVE' then act.id
end IME ,case 
when tbl = 'KUPCI' then (select priimek from kupci where id = act.id)
when tbl = 'PLOVILA' then (select priimek  from kupci where id = (select id_lastnika from plovila where id = to_number(act.id)))
when tbl = 'M_VZORCI_PS' then (select priimek from kupci where id = (select id_lastnika from m_pogodbe where id_pogodbe = (select id_pogodbe from m_vzorci_ps where id_vps = act.id)))
when tbl = 'M_DE_NA' then (select priimek from kupci where id = (select id_lastnika from m_de_na where id_dn = act.id))
when tbl = 'M_POGODBE' then (select priimek  from kupci where id = (select id_lastnika from m_pogodbe where id_pogodbe = act.id))
when tbl = 'REZERVAC_DETAIL' then (select priimek  from kupci where id = (select id_lastnika from rezervac where id = (select id_rezervac from rezervac_detail where id_rezervac_detail = act.id)))
when tbl = 'DOGODKI' then (select priimek  from kupci where id = (select id_lastnika from dogodki where id = act.id))
when tbl = 'SALDKONT' then (select priimek  from kupci where id = (select id_kupca from saldkont where id_saldkont = act.id))
when tbl = 'M_STORITVE' then (select priimek  from kupci where id = (select id_lastnika from m_storitve where id_storitve = act.id))
else ''
end from act  
where tbl in ('KUPCI','PLOVILA','M_VZORCI_PS','M_DE_NA','M_POGODBE','REZERVAC_DETAIL','DOGODKI','SALDKONT','M_STORITVE','S_NASTAVITVE');

insert into report_sql (computer, num1, str1)
select {?computer}, idact, case when REGEXP_LIKE(id, '[^0-9]+') then (select opis from m_nnstomar where sifra = act.id) else
(select opis from m_nnstomar where sifra = (select storitev from m_nncenmar where id_m_nncenmar = act.id)) end from act where tbl = 'M_NNCENMAR';

update report_sql set num2 = 
(select case 
when tbl = 'KUPCI' then (select id from kupci where id = act.id)
when tbl = 'PLOVILA' then (select id_lastnika from plovila where id = to_number(act.id))
when tbl = 'M_VZORCI_PS' then (select id_lastnika from m_pogodbe where id_pogodbe = (select id_pogodbe from m_vzorci_ps where id_vps = act.id))
when tbl = 'M_DE_NA' then (select id_lastnika from m_de_na where id_dn = act.id)
when tbl = 'M_POGODBE' then (select id_lastnika from m_pogodbe where id_pogodbe = act.id)
when tbl = 'REZERVAC_DETAIL' then (select id_lastnika from rezervac where id = (select id_rezervac from rezervac_detail where id_rezervac_detail = act.id))
when tbl = 'DOGODKI' then (select id_lastnika from dogodki where id = act.id)
when tbl = 'SALDKONT' then (select id_kupca from saldkont where id_saldkont = act.id)
when tbl = 'M_STORITVE' then (select id_lastnika from m_storitve where id_storitve = act.id)
end from act where idact = num1)
where computer = {?computer};

update report_sql set str3 = 
(select case 
when tbl = 'SALDKONT' then (select n_racuna from saldkont where id_saldkont = act.id)
when tbl = 'M_POGODBE' then (select n_pogodbe from m_pogodbe where id_pogodbe = act.id)
when tbl = 'M_DE_NA' then (select stevilka from m_de_na where id_dn = act.id)
end from act where idact = num1)
where computer = {?computer};



