delete from report_sql WHERE COMPUTER={?Computer};

-- generiranje vrstic za vsak dan v periodi
INSERT INTO report_sql (computer, str1, num1, num2)
SELECT {?Computer},'A', 
extract(year from {?Datum_od} + rownum -1), extract(month from {?Datum_od} + rownum -1)
FROM   all_objects
WHERE  rownum <= {?Datum_do} - {?Datum_od}+1
;

INSERT INTO report_sql (computer, num1, num2, str1)
SELECT {?Computer}, num1, num2, 'B'
FROM report_sql
WHERE report_sql.computer={?Computer} and num1 is not null and num2 is not null
group by {?Computer}, num1, num2;

delete from report_sql where computer={?Computer} and str1='A';

INSERT INTO report_sql (computer, num1, num2, str1, str2)
SELECT {?Computer}, a.num1, a.num2, 'C', b.kategorija
FROM report_sql a, nnprivez b
WHERE a.computer={?Computer}
group by {?Computer}, a.num1, a.num2, b.kategorija;

delete from report_sql where computer={?Computer} and str1='B';

update report_sql set num3=
(select count(id_privez) from nnprivez where str2=kategorija)
where computer={?Computer};


