delete from report_sql where computer = {?computer};

-- num1 = id_lastnika
-- num2 = id_plovila
-- num3 = indikator za dizelski motor
-- num4 = indikator za bencinski motor
-- num5 = fuel tank capacity (diesel na plovilu)
-- num6 = fuel tank capacity (petrol na plovilu)
-- num7 = fuel tank capacity (diesel na motorjih)
-- num8 = fuel tank capacity (petrol na motorjih)
-- str1 = objekt
-- str2 = privez
-- str3 = fuel types
-- str4 = tank capacities




insert into report_sql (num1,computer,num2,str1,str2)
select r.id_lastnika,{?computer}, r.id_plovila,n.objekt,n.n_priveza from rezervac_detail d
left join rezervac r on r.id = d.id_rezervac left join nnprivez n on d.id_privez = n.id_privez
where (d.datum_od between {?from} and {?to} or d.datum_do between {?from} and {?to} or (d.datum_od <= {?from} and d.datum_do >= {?to}))
and d.status_rezervac not in (-1,-2)
order by id_lastnika,id_plovila;

update report_sql set num3 =

(select
case when p.fuel_type is null then (case when p.id in (select distinct id_plovila from plovila_motor where fuel_type = 'DIS') then 1 else 0 end) 
else (case when p.fuel_type = 'DIS' then 1 else (case when p.id in (select distinct id_plovila from plovila_motor where fuel_type = 'DIS') then 1 else 0 end) end ) 
end as diesel
from plovila p where p.id = num2)
where computer = {?computer};

update report_sql set num4 =

(select
case when p.fuel_type is null then (case when p.id in (select distinct id_plovila from plovila_motor where fuel_type = 'PET') then 1 else 0 end) 
else (case when p.fuel_type = 'PET' then 1 else (case when p.id in (select distinct id_plovila from plovila_motor where fuel_type = 'PET') then 1 else 0 end) end ) 
end as petrol
from plovila p where p.id = num2)
where computer = {?computer};

update report_sql set num5 =
(select fuel_tank_capacity from plovila where id = num2 and fuel_type = 'DIS')
where computer = {?computer};

update report_sql set num6 =
(select fuel_tank_capacity from plovila where id = num2 and fuel_type = 'PET')
where computer = {?computer};

update report_sql set num7 =
(select sum(fuel_tank_capacity) from plovila_motor where id_plovila = num2 and fuel_type = 'DIS')
where computer = {?computer};

update report_sql set num8 =
(select sum(fuel_tank_capacity) from plovila_motor where id_plovila = num2 and fuel_type = 'PET')
where computer = {?computer};