delete from report_sql where computer={?Computer};

-- num1 = 1 za prihod,2 za odhod
-- num2 = id_privez
-- num3 = id_lastnika
-- num4 = id_plovila
-- num5 = id_pogodbe
-- num6 = contract total invoiced amount
-- num7 = casual service total invoiced amount
-- num8 = contract monthly yield
-- num9 = berth rack rate
-- num10 = nnlocation_id

-- str1 = rezervac_detail_privez
-- str2 = kupci priimek
-- str3 = kupci ime
-- str4 = plovilo
-- str5 = Arrival/Departure
-- str6 = vrsta rezervacije (TR/PO)
-- str7 = departure reason
-- str8 = contract term
-- str9 = referral
-- str10 = service term


-- date1 = rezervac_detail_datum_od
-- date2 = rezervac_detail_datum_do
-- date3 = datum prihoda za odhode, glej spodaj
-- date4 = zacetek pogodbe
-- date5 = konec pogodbe (ali dan prekinitve)
-- date6 = service end date



insert into report_sql (Computer, NUM1, DATE1, DATE2, STR1, STR2, STR3, STR4, STR5, STR6, NUM2, NUM3, NUM4,NUM5,num10)
-- Prihodi tranzitov
SELECT {?Computer}, 1, REZERVAC_DETAIL_DATUM_OD, REZERVAC_DETAIL_DATUM_DO, REZERVAC_DETAIL_PRIVEZ, KUPCI_PRIIMEK, KUPCI_IME, PLOVILO, 'Arrival', VRSTA, REZERVAC_DETAIL_ID_PRIVEZ, ID_LASTNIKA, ID_PLOVILA,ID_POGODBE,NNLOCATION_ID FROM V_RESERVATION R1 
WHERE NVL(R1.REZERVAC_DETAIL_OCC_STAT,'N') = 'Y' 
AND R1.STATUS_REZERVAC IN (0, 1, 2) AND R1.VRSTA = 'TR'
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) = (SELECT TRUNC(MIN(RD.DATUM_OD)) FROM REZERVAC_DETAIL RD WHERE RD.ID_REZERVAC = R1.ID_REZERVAC AND RD.STATUS_REZERVAC = 1 AND RD.COMPLETE = 'Y')
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) >= {?From} AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) <= {?To}
AND NOT EXISTS (SELECT R2.* FROM V_RESERVATION R2 WHERE R2.STATUS_REZERVAC IN (0, 1, 2) AND R2.ID_PLOVILA = R1.ID_PLOVILA AND TRUNC(R2.REZERVAC_DETAIL_DATUM_DO) = TRUNC(R1.REZERVAC_DETAIL_DATUM_OD))
UNION ALL
-- Prihodi pogodb
SELECT {?Computer}, 1, REZERVAC_DETAIL_DATUM_OD, REZERVAC_DETAIL_DATUM_DO, REZERVAC_DETAIL_PRIVEZ, KUPCI_PRIIMEK, KUPCI_IME, PLOVILO, 'Arrival', VRSTA, REZERVAC_DETAIL_ID_PRIVEZ, ID_LASTNIKA, ID_PLOVILA,ID_POGODBE,NNLOCATION_ID FROM V_RESERVATION R1 
WHERE NVL(R1.REZERVAC_DETAIL_OCC_STAT,'N') = 'Y' 
AND R1.STATUS_REZERVAC IN (0, 1, 2) AND R1.VRSTA = 'PO'
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) = (SELECT TRUNC(MIN(RD.DATUM_OD)) FROM REZERVAC_DETAIL RD WHERE RD.ID_REZERVAC = R1.ID_REZERVAC AND RD.STATUS_REZERVAC = 1 AND RD.COMPLETE = 'Y')
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) >= {?From} AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) <= {?To}
AND NOT EXISTS (SELECT R2.* FROM V_RESERVATION R2 WHERE R2.STATUS_REZERVAC IN (0, 1, 2) AND R2.ID_PLOVILA = R1.ID_PLOVILA AND TRUNC(R2.REZERVAC_DETAIL_DATUM_DO) = TRUNC(R1.REZERVAC_DETAIL_DATUM_OD))
UNION ALL
-- Odhodi tranzitov,
SELECT {?Computer}, 2, REZERVAC_DETAIL_DATUM_OD, REZERVAC_DETAIL_DATUM_DO, REZERVAC_DETAIL_PRIVEZ, KUPCI_PRIIMEK, KUPCI_IME, PLOVILO, 'Departure', VRSTA, REZERVAC_DETAIL_ID_PRIVEZ, ID_LASTNIKA, ID_PLOVILA,ID_POGODBE,NNLOCATION_ID FROM V_RESERVATION R1 
WHERE NVL(R1.REZERVAC_DETAIL_OCC_STAT,'N') = 'Y' 
AND R1.STATUS_REZERVAC IN (0) AND R1.VRSTA = 'TR'
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) = (SELECT TRUNC(MAX(RD.DATUM_OD)) FROM REZERVAC_DETAIL RD WHERE RD.ID_REZERVAC = R1.ID_REZERVAC AND RD.STATUS_REZERVAC = 1 AND RD.COMPLETE = 'Y')
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_DO) >= {?From} AND TRUNC(R1.REZERVAC_DETAIL_DATUM_DO) <= {?To}
AND NOT EXISTS (SELECT R2.* FROM V_RESERVATION R2 WHERE R2.STATUS_REZERVAC IN (0, 1, 2) AND R2.ID_PLOVILA = R1.ID_PLOVILA AND TRUNC(R2.REZERVAC_DETAIL_DATUM_OD) = TRUNC(R1.REZERVAC_DETAIL_DATUM_DO))
UNION ALL
-- Odhodi pogodb
SELECT {?Computer}, 2, REZERVAC_DETAIL_DATUM_OD, REZERVAC_DETAIL_DATUM_DO, REZERVAC_DETAIL_PRIVEZ, KUPCI_PRIIMEK, KUPCI_IME, PLOVILO, 'Departure', VRSTA, REZERVAC_DETAIL_ID_PRIVEZ, ID_LASTNIKA, ID_PLOVILA,ID_POGODBE,NNLOCATION_ID FROM V_RESERVATION R1 
WHERE NVL(R1.REZERVAC_DETAIL_OCC_STAT,'N') = 'Y' 
AND R1.STATUS_REZERVAC IN (0) AND R1.VRSTA = 'PO'
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) = (SELECT TRUNC(MAX(RD.DATUM_OD)) FROM REZERVAC_DETAIL RD WHERE RD.ID_REZERVAC = R1.ID_REZERVAC AND RD.STATUS_REZERVAC = 1 AND RD.COMPLETE = 'Y')
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_DO) >= {?From} AND TRUNC(R1.REZERVAC_DETAIL_DATUM_DO) <= {?To}
AND NOT EXISTS (SELECT R2.* FROM V_RESERVATION R2 WHERE R2.STATUS_REZERVAC IN (0, 1, 2) AND R2.ID_PLOVILA = R1.ID_PLOVILA AND TRUNC(R2.REZERVAC_DETAIL_DATUM_OD) = TRUNC(R1.REZERVAC_DETAIL_DATUM_DO))
;

update report_sql set str7 =
(select reason from (select * from final_departure where id in (select max(id) from final_departure group by id_lastnika, id_plovila)) where id_lastnika = num3 and id_plovila = num4)
where computer={?Computer};

-- DATUM PRIHODA ZA ODHODE, IZRACUNAMO GA KOT ZADNJI PRIIHOD PRED TEM ODHODOM 

UPDATE REPORT_SQL SET DATE3 =
(SELECT MAX(DATUM_ZACETKA) FROM DOGODKI WHERE ID_PLOVILA = NUM4 AND KATEGORIJA_DOGODKA = 'SP' AND TRUNC(DATE2) >= DATUM_ZACETKA)
WHERE COMPUTER = {?COMPUTER};

-- date4 = zacetek pogodbe

update report_sql set date4 =
(select datum_zacetka from m_pogodbe where id_pogodbe = num5)
where computer = {?computer};

-- date5 = datum konca pogodbe (ali prekinitve)

update report_sql set date5 =
(select case when datum_prekinitve is null then datum_konca else datum_prekinitve end from m_pogodbe where id_pogodbe = num5)
where computer = {?computer};

-- str8 = contract term 

update report_sql set str8 = 
(select case when datum_konca is null then '' else to_char(datum_konca + 1 - datum_zacetka) || ' days'
end from m_pogodbe where id_pogodbe = num5)
where computer = {?computer};

-- str9 = referral

update report_sql set str9 = 
(select opis from kupci_referral where sifra = (select code_referral from kupci where id = num3))
where computer = {?computer};

-- num6 = contract total invoiced amount (ex GST)

update report_sql set num6 =
(select sum(v.skupaj*((100-coalesce(v.popust,0))/100)*((100-coalesce(v.popust1,0))/100)*((100-coalesce(v.popust2,0))/100)
*(case when v.auto_create_method = 'M' then floor(months_between(case when v.datum_konca is null then coalesce(p.datum_prekinitve,p.datum_konca)
else least(v.datum_konca,coalesce(p.datum_prekinitve,p.datum_konca))end + 1,v.datum_zacetka)) else 1 end)) 
from m_vzorci_ps v left join m_nnstomar s on v.storitev = s.sifra left join m_nnkateg k on s.timekat = k.sifra_sklopa and v.timekat = k.sifra
left join m_pogodbe p on v.id_pogodbe = p.id_pogodbe
where (k.opis in ('Monthly','Prepaid','Prepaid 13th month free','Monthly 13th month free') or 
(k.opis is null and v.auto_create_method in ('M','Y')) or k.opis like '%Prepaid%') and v.storno is null and p.id_pogodbe = num5)
where computer = {?computer};

-- num7 = casual service total invoiced amount (vsota obracunanih storitev v obdobju,
-- ko je bilo plovilo v marini - gledamo filtra casual berthing in dry storage)

update report_sql set num7 =
(select sum(coalesce(s.znesek,0)*((100-coalesce(s.popust,0))/100)
*((100-coalesce(s.popust1,0))/100)*((100-coalesce(s.popust2,0))/100)) from m_storitve s 
left join m_nnstomar f on s.storitev = f.sifra  
left join racun_data rd on s.id_storitve = rd.id_storitve
left join saldkont sa on rd.id_saldkont = sa.id_saldkont
where (s.n_racuna is null or s.n_racuna <> 'STORNO') and 
f.filter in (31,22) and s.id_plovila = num4
and sa.vrsta_racuna in ('POS','RAC') and sa.storno is null
and s.nnlocation_id = num10
and s.calculating is null
and ((s.datum_do is null and s.datum_od between date1 and date2) or 
(s.datum_od <= date2 and s.datum_do >= date1 )))
where computer = {?computer};

-- num8 = contract monthly yield
 
update report_sql set num8 =
(select sum(v.skupaj*((100-coalesce(v.popust,0))/100)*((100-coalesce(v.popust1,0))/100)*((100-coalesce(v.popust2,0))/100)
/(case when v.auto_create_method = 'M' then 1 when v.auto_create_method = 'Q' then 3 when v.auto_create_method = 'H' then 6 when
floor(months_between(case when v.datum_konca is null then coalesce(p.datum_prekinitve,p.datum_konca) else least(v.datum_konca,coalesce(p.datum_prekinitve,p.datum_konca))end + 1,v.datum_zacetka)) = 0 then 1 
else floor(months_between(case when v.datum_konca is null then coalesce(p.datum_prekinitve,p.datum_konca) else least(v.datum_konca,coalesce(p.datum_prekinitve,p.datum_konca))end + 1,v.datum_zacetka)) end)) 
from m_vzorci_ps v left join m_nnstomar s on v.storitev = s.sifra left join m_nnkateg k on s.timekat = k.sifra_sklopa and v.timekat = k.sifra
left join m_pogodbe p on v.id_pogodbe = p.id_pogodbe
where (k.opis in ('Monthly','Prepaid','Prepaid 13th month free','Monthly 13th month free') or 
(k.opis is null and v.auto_create_method in ('M','Y')) or k.opis like '%Prepaid%') and v.storno is null and p.id_pogodbe = num5)
where computer = {?computer};

-- num9 = berth rack rate za pogodbe

update report_sql set num9 =
(select sum(v.full_amount/((100+coalesce(v.davek,0))/100)) 
from m_vzorci_ps v left join m_nnstomar s on v.storitev = s.sifra left join m_nnkateg k on s.timekat = k.sifra_sklopa and v.timekat = k.sifra
left join m_pogodbe p on v.id_pogodbe = p.id_pogodbe
where (k.opis in ('Monthly','Prepaid','Prepaid 13th month free','Monthly 13th month free') or 
(k.opis is null and v.auto_create_method in ('M','Y')) or k.opis like '%Prepaid%') and v.storno is null and p.id_pogodbe = num5)
where computer = {?computer} and num5 is not null;

-- num9 = berth rack rate za tranzite

update report_sql set num9 =
(select sum(s.full_amount/((100+coalesce(s.davek,0))/100)) from m_storitve s 
left join m_nnstomar f on s.storitev = f.sifra 
left join racun_data rd on s.id_storitve = rd.id_storitve
left join saldkont sa on rd.id_saldkont = sa.id_saldkont
where (s.n_racuna is null or s.n_racuna <> 'STORNO') and 
f.filter in (31,22) and s.id_plovila = num4
and sa.vrsta_racuna in ('POS','RAC') and sa.storno is null
and s.nnlocation_id = num10
and s.calculating is null
and ((s.datum_do is null and s.datum_od between date1 and date2) or 
(s.datum_od <= date2 and s.datum_do >= date1 )))
where computer = {?computer} and num5 is null;

-- date6 = service end date
update report_sql set date6 = 
(select max(s.datum_do) from m_storitve s 
left join m_nnstomar f on s.storitev = f.sifra  
left join racun_data rd on s.id_storitve = rd.id_storitve
left join saldkont sa on rd.id_saldkont = sa.id_saldkont
where (s.n_racuna is null or s.n_racuna <> 'STORNO') and 
f.filter in (31,22) and s.id_plovila = num4
and sa.vrsta_racuna in ('POS','RAC') and sa.storno is null
and s.nnlocation_id = num10
and s.calculating is null
and ((s.datum_do is null and s.datum_od between date1 and date2) or 
(s.datum_od <= date2 and s.datum_do >= date1 )))
where computer = {?computer};

-- str10 = contract term 

update report_sql set str10 = 
(case when date6 is null then '' else to_char(date6 + 1 - date1) || ' days'
end)
where computer = {?computer};
