delete from sql_reports where computer={?Computer}
;

insert into sql_reports (computer, n1, n2, n3, n4, s1, d1, s2, n10,n9,n8)
select {?Computer}, a.id_saldkont, abs(Nvl(a.za_placilo,0)), abs(Nvl(a.porabljeno,0)), 0, a.sdk_rn_pl, 
{?Datum}, a.vrsta_racuna, a.za_placilo, a.id_kupca,a.nnlocation_id
from saldkont a, nknjizba b where a.datum<={?Datum} 
and a.vrsta_racuna=b.saldkont and 
(b.deposit is null or (b.deposit is not null and b.deposit<>'Y'))
and a.vrsta_racuna not in ('DSU','DOP','OSU','RAC','DDE','PAA')
;

update sql_reports
set n4=(select abs(Nvl(Sum(abs(a.znesek)),0)) from saldkont_zap a, saldkont b where a.id_pl_saldkont=b.id_saldkont 
and b.datum>{?Datum} and a.id_saldkont=n1)
where computer={?Computer}
;

update sql_reports
set n5=(select abs(Nvl(Sum(abs(a.znesek)),0)) from saldkont_zap a, saldkont b where a.id_saldkont=b.id_saldkont 
and b.datum>{?Datum} and a.id_pl_saldkont=n1)
where computer={?Computer}
;

update sql_reports
set n6=n3-(n4+n5)
where computer={?Computer}
;

-- odstejemo zapiranja z DDE transakcijami
update sql_reports set n6 = n6 - (select coalesce(sum(z.znesek),0) from saldkont_zap z left join saldkont p on z.id_pl_saldkont = p.id_saldkont 
where z.id_saldkont = n1 and p.vrsta_racuna = 'DDE')
where computer = {?computer}
;

update sql_reports
set n6=n6*(-1) where n10<0 and computer={?Computer}
;

delete from sql_reports where computer={?Computer} and Round(n10,2)=Round(n6,2)
;

delete from sql_reports where computer={?Computer}  and abs(Round(n10,2)-Round(n6,2))<1
;
