delete from report_sql where computer={?computer};

insert into report_sql (computer,num1,str1,str2,str3,str4,date1,num2)
select {?computer},k.id, k.ime name, k.priimek surname, p.ime vessel, r.privez berth, r.datum_do departure_date, l.nnlocation_id
from rezervac r, kupci k, plovila p, nnpomol l, nnprivez n
where r.id_lastnika=k.id and r.id_plovila=p.id
and r.privez = n.n_priveza
and n.kategorija = l.sifra
and r.status_rezervac =0
and k.id not in (select id_lastnika from rezervac where datum_rezervacije between r.datum_do and r.datum_do +1);

update report_sql 
set num3 = (select sum(za_placilo)
from saldkont s
where s.vrsta_racuna='DP'
and id_kupca = num1)
where computer={?computer};