delete from report_sql where computer = {?computer};

insert into report_sql (computer,str1,str2,str3,str4,date1,date2,str5,num1,str6,num2,num10)
select {?computer}, p.n_priveza,case when k.ime is null then k.priimek else k.ime || ' ' || k.priimek end Owner,case when k1.ime is null then k1.priimek else k1.ime || ' ' || k1.priimek end Customer,v.ime boat,
s.datum_od, s.datum_do, 
f.opis,a.znesek amount,b.n_racuna managed_rental_invoice,b.znesek managed_rental_amount, m.nnlocation_id
from berth_sublease b left join m_storitve s on b.id_privez = s.id_privez
left join (select * from racun_data where tip = 'I') a on s.id_storitve = a.id_storitve
left join (select * from racun_data where tip = 'P') b on s.id_storitve = b.id_storitve
left join kupci k on b.id_lastnika = k.id
left join nnprivez p on b.id_privez = p.id_privez
left join nnpomol m on p.kategorija=m.sifra
left join m_nnstomar f on s.storitev = f.sifra
left join kupci k1 on s.id_lastnika = k1.id
left join plovila v on s.id_plovila = v.id
where s.n_racuna is not null and s.n_racuna <> 'STORNO'
and b.date_from <= {?to} and b.date_to >= {?from}
and f.sublease = 'Y'
?and s.datum_od >= {?from} and s.datum_od <= {?to}
order by b.id_privez
;