select k.id "HID_OWNER",k.priimek "Surname",k.ime "Name",k.email "Email",p.n_pogodbe "Contract No.",pr.n_priveza "Contract Berth",TO_CHAR(p.datum_zacetka,'dd/MON/yy') "Start date",
to_char(p.predvideni_datum_konca,'dd/MON/yy') "End date",case when p.id_owner_signature is null then 'N' else 'Y' end "Signature", case when k.id in 
(select id_kupca from datoteke_kupcev where vrsta = 'CON' and status <> -1 ) 
then 'Y' else 'N' end "Contract file uploaded" from m_pogodbe p left join kupci k on p.id_lastnika = k.id
left join nnprivez pr on p.id_privez = pr.id_privez
left join nnlocation l on p.nnlocation_id = l.id
where p.status = 'O'
and l.sifra = upper({?Marina code | STRING})
and p.datum_zacetka >= {?Start date from | DATE}
order by 2,3;