SELECT A.NAZIV "CODE",A.NAZIV1 "TITLE", A.BAR_KODA "BARCODE", A.INTERNI_OPIS "INTERNAL_DESCRIPTION",A.DESCRIPTION "DESCRIPTION",G.NAZIV "GROUP",E.NAZIV "UNIT",
L.NAZIV "WAREHOUSE",D.OPIS "GST",A.CENA_SKL "PURCHASE_PRICE_EXCl_GST",ROUND(A.CENA_SKL*((100 + COALESCE(D.STOPNJA,0))/100),2) "PURCHASE_PRICE_INCL_GST",
CASE WHEN A.CENA_SKL = 0 OR A.CENA_SKL IS NULL THEN 0 ELSE ROUND(((A.CENA_MP/A.CENA_SKL)*100)-100,2) END "MARGIN_WORK_ORDER", 
ROUND(A.CENA_MP,2) "PRICE_EXCL_GST_WORK _ORDER",ROUND(A.CENA_MP*((100 + COALESCE(D.STOPNJA,0))/100),2)"PRICE_INCL_GST_WORK_ORDER",
CASE WHEN A.CENA_SKL = 0 OR A.CENA_SKL IS NULL THEN 0 ELSE ROUND((((A.CENAZDDV/((100 + COALESCE(D.STOPNJA,0))/100))/A.CENA_SKL)*100)-100,2) END "MARGIN_POS",
ROUND(A.CENAZDDV/((100 + COALESCE(D.STOPNJA,0))/100),2)"PRICE_EXCL_GST_POS",ROUND(A.CENAZDDV,2) "PRICE_INCL_GST_POS",
A.MIN_ZALOGA "MINIMUM STOCK",MIN_IZDAJA "MINIMUM ISSUE",CASE WHEN K.IME IS NULL THEN K.PRIIMEK ELSE K.IME || ' ' || K.PRIIMEK END "SUPPLIER",
A.KONTO "GL_ACCOUNT_INCOME",A.KONTO_POPUST "GL_ACCOUNT_DISCOUNT",A.STOCKS "MANAGE STOCKS",A.SALE "ALLOW SALES", A.V_UPORABI "ACTIVE" 
FROM S_ARTIKLI A LEFT JOIN S_DAVEK D ON A.ID_DAVEK = D.ID_DAVEK
LEFT JOIN S_LOKACIJE L ON A.ID_LOKACIJA = L.ID_LOKACIJA
LEFT JOIN S_GRUPE G ON A.ID_GRUPA = G.ID_GRUPA
LEFT JOIN S_ENOTE E ON A.ID_ENOTA = E.ID_ENOTA
LEFT JOIN KUPCI K ON A.DOBAVITELJ = K.ID
;