 SELECT  
 Kupci.id as id_kupca,
 KUPCI.int_code as HRICode,
 KUPCI.IME ||' '||KUPCI.PRIIMEK as CustomerLongName, 
 PLOVILA.IME as Boat, 
 PLOVILA.DOLZINA BoatLength, 
 ' '||M_POGODBE.DATUM_ZACETKA as ContractStartDate, 
 ' '||M_POGODBE.DATUM_KONCA as ContractEndDate, 
 M_POGODBE.KOMENTAR as ContractComment, 
 ' '||M_VZORCI_PS.DATUM_ZACETKA as BillingRuleStartDate, 
 ' '||M_VZORCI_PS.DATUM_KONCA as BillingRuleEndDate,
 round(M_VZORCI_PS.SKUPAJ,2) as BillingRuleAmount, 
round(M_VZORCI_PS.DAVEK,2) as BillingRuleTax, 
 M_VZORCI_PS.KOLICINA as BillingRulesQuantity,  
 M_VZORCI_PS.KOMENTAR as BillingRulesComment, 
 M_VZORCI_PS.AUTO BillingRuleAutoD_Y, 
 M_VZORCI_PS.AUTO_CREATE_METHOD as BillingRule, 
 M_NNSTOMAR.OPIS ServiceForBillingRuleDesC,
   M_VZORCI_PS.user_kreiranja as UserEnteredBillingRule,
 next_auto_date
 FROM   (((M_POGODBE M_POGODBE INNER JOIN M_VZORCI_PS M_VZORCI_PS ON M_POGODBE.ID_POGODBE=M_VZORCI_PS.ID_POGODBE) INNER JOIN KUPCI KUPCI ON M_POGODBE.ID_LASTNIKA=KUPCI.ID) LEFT OUTER JOIN PLOVILA PLOVILA ON M_POGODBE.ID_PLOVILA=PLOVILA.ID) LEFT OUTER JOIN M_NNSTOMAR M_NNSTOMAR ON M_VZORCI_PS.STORITEV=M_NNSTOMAR.SIFRA
where M_POGODBE.status in ('O', 'A')
and upper(M_NNSTOMAR.OPIS) like UPPER(nvl('%'||{?Service|STRING}||'%','%'))
 ORDER BY KUPCI.IME, KUPCI.PRIIMEK, PLOVILA.IME
;