SELECT DISTINCT PLOVILA.IME Boat, KUPCI.IME || ' ' || KUPCI.PRIIMEK Owner,
PLOVILA.ZAVAROVALNICA InsuranceCompany, PLOVILA.N_ZAVAROVALNE_POLICE InsuranceLicenceNo, 
 ' '||PLOVILA.DATUM_ZAVAROVANJE DateFrom,' '|| PLOVILA.ZAVAROVANO_DO Dateto, 
PLOVILA.ZAVAROVALNA_VSOTA InsuranceAmount 
FROM KUPCI LEFT OUTER JOIN PLOVILA ON KUPCI.ID=PLOVILA.ID_LASTNIKA 
WHERE
(ZAVAROVALNICA IS NULL OR ZAVAROVALNICA=''
OR N_ZAVAROVALNE_POLICE IS NULL OR N_ZAVAROVALNE_POLICE=''
OR ZAVAROVANO_DO IS NULL OR ZAVAROVANO_DO=''
OR ZAVAROVALNA_VSOTA IS NULL OR ZAVAROVALNA_VSOTA=''
OR DATUM_ZAVAROVANJE IS NULL OR DATUM_ZAVAROVANJE=''
--OR KASKO_ZAVAROVANJE_DO IS NULL OR KASKO_ZAVAROVANJE=''
--OR INSURANCE_POLICY_NAME IS NULL OR INSURANCE_POLICY_NAME=''
)
ORDER BY PLOVILA.IME
;
