delete from report_sql WHERE COMPUTER={?Computer};
-- date1 = day
-- str1  = A/B (samo B so za report)
-- num1  = Entrance counter1
-- num2  = Visitors1
-- num3  = Entrance counter2
-- num4  = Visitors2
-- num5  = Entrance counter3
-- num6  = Visitors3
-- num7  = ID weather

-- generiranje vrstic za vsak dan v periodi
INSERT INTO report_sql (computer, date1, str1)
SELECT {?Computer}, {?Datum_od} + rownum -1, 'A'
FROM   all_objects
WHERE  rownum <= {?Datum_do} - {?Datum_od}+1
;

INSERT INTO report_sql (computer, date1, str1, num1, num2, num3, num4, num5, num6, num7)
SELECT {?Computer},
       report_sql.date1,
       'B',
       people_counter.entrance_counter_1,
       ROUND(((SELECT entrance_counter_1 FROM people_counter WHERE on_date = report_sql.date1+1)- people_counter.entrance_counter_1)/2),
       people_counter.entrance_counter_2,
       ROUND(((SELECT entrance_counter_2 FROM people_counter WHERE on_date = report_sql.date1+1)- people_counter.entrance_counter_2)/2),
       people_counter.entrance_counter_3,
       ROUND(((SELECT entrance_counter_3 FROM people_counter WHERE on_date = report_sql.date1+1)- people_counter.entrance_counter_3)/2),
       (select id from weather 
                 where trunc(on_date)=report_sql.date1 
                 and on_date = (select max(on_date) from weather where trunc(on_date)=report_sql.date1))
FROM report_sql
LEFT OUTER JOIN people_counter ON (report_sql.date1=people_counter.on_date)
WHERE report_sql.computer={?Computer};
