SELECT a.id_member AS "Member", 
       CASE WHEN a.ime IS NULL THEN a.priimek ELSE a.priimek || ', ' || a.ime END AS "Member Name",
       a.email AS "Email",
       d.interni_opis AS "Charge Code",
       g.interni_opis AS "Category",
       c.skupaj AS "Monthly amount",
       c.datum_zacetka AS "Started"
FROM   kupci a
LEFT OUTER JOIN m_pogodbe b ON (a.id=b.id_lastnika)
LEFT OUTER JOIN m_vzorci_ps c ON (c.id_pogodbe=b.id_pogodbe)
LEFT OUTER JOIN m_nnstomar d ON (c.storitev=d.sifra)
--LEFT OUTER JOIN plovila e ON (b.id_plovila=e.id)
--LEFT OUTER JOIN nntip f ON (e.ntip=f.sifra)
LEFT OUTER JOIN m_nnkateg g ON (g.sifra_sklopa=d.kat AND g.sifra=c.kat)
--LEFT OUTER JOIN nnobjekt h ON (b.objekt=h.sifra)
WHERE  b.status in ('O', 'A')
AND    (d.ngrupa is null OR d.ngrupa<>'REN')
AND    c.auto_create_method='M'
ORDER BY a.id_member
;
